aboutsummaryrefslogtreecommitdiff
path: root/contrib/sendmail/BuildTools/bin/install.sh
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>2001-08-21 01:31:45 +0000
committercvs2svn <cvs2svn@FreeBSD.org>2001-08-21 01:31:45 +0000
commit1df342fa8424371842e228f5d0e5fb882d8acf70 (patch)
tree26e8a1ac5823a3cd205a60b8d16c890efc262704 /contrib/sendmail/BuildTools/bin/install.sh
parentc86d59657f992c17a947200225b50f07e1776cd1 (diff)
This commit was manufactured by cvs2svn to create tagvendor/sendmail/8.11.6
'sendmail-vendor-v8_11_6'.
Notes
Notes: svn path=/vendor/sendmail/dist/; revision=82017 svn path=/vendor/sendmail/8.11.6/; revision=82019; tag=vendor/sendmail/8.11.6
Diffstat (limited to 'contrib/sendmail/BuildTools/bin/install.sh')
-rwxr-xr-xcontrib/sendmail/BuildTools/bin/install.sh128
1 files changed, 0 insertions, 128 deletions
diff --git a/contrib/sendmail/BuildTools/bin/install.sh b/contrib/sendmail/BuildTools/bin/install.sh
deleted file mode 100755
index 840aa3385ff9..000000000000
--- a/contrib/sendmail/BuildTools/bin/install.sh
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/sh
-
-# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
-#
-# By using this file, you agree to the terms and conditions set
-# forth in the LICENSE file which can be found at the top level of
-# the sendmail distribution.
-#
-#
-# @(#)install.sh 8.9 (Berkeley) 5/19/1998
-
-# Set default program
-program=mv
-
-# chown program -- ultrix keeps it in /etc/chown and /usr/etc/chown
-if [ -f /etc/chown ]
-then
- chown=/etc/chown
-elif [ -f /usr/etc/chown ]
-then
- chown=/usr/etc/chown
-else
- chown=chown
-fi
-
-# Check arguments
-while [ ! -z "$1" ]
-do
- case $1
- in
- -o) owner=$2
- shift; shift
- ;;
-
- -g) group=$2
- shift; shift
- ;;
-
- -m) mode=$2
- shift; shift
- ;;
-
- -c) program=cp
- shift
- ;;
-
- -s) strip="strip"
- shift
- ;;
-
- -*) echo $0: Unknown option $1
- exit 1
- ;;
-
- *) break
- ;;
- esac
-done
-
-# Check source file
-if [ -z "$1" ]
-then
- echo "Source file required" >&2
- exit 1
-elif [ -f $1 -o $1 = /dev/null ]
-then
- src=$1
-else
- echo "Source file must be a regular file or /dev/null" >&2
- exit 1
-fi
-
-# Check destination
-if [ -z "$2" ]
-then
- echo "Destination required" >&2
- exit 1
-elif [ -d $2 ]
-then
- dst=$2/$src
-else
- dst=$2
-fi
-
-# Do install operation
-$program $src $dst
-if [ $? != 0 ]
-then
- exit 1
-fi
-
-# Strip if requested
-if [ ! -z "$strip" ]
-then
- $strip $dst
-fi
-
-# Change owner if requested
-if [ ! -z "$owner" ]
-then
- $chown $owner $dst
- if [ $? != 0 ]
- then
- exit 1
- fi
-fi
-
-# Change group if requested
-if [ ! -z "$group" ]
-then
- chgrp $group $dst
- if [ $? != 0 ]
- then
- exit 1
- fi
-fi
-
-# Change mode if requested
-if [ ! -z "$mode" ]
-then
- chmod $mode $dst
- if [ $? != 0 ]
- then
- exit 1
- fi
-fi
-
-exit 0